import { Observable } from 'rxjs';
import { OverlayRef } from '@angular/cdk/overlay';
import { Location } from '@angular/common';
import { TemplateRef } from '@angular/core';
import { NtContextMenuComponent } from './contextmenu.component';
export declare class NtContextMenuRef {
    private _overlayRef;
    private _containerInstance;
    readonly id: string;
    static currentRef: NtContextMenuRef;
    templateInstance: TemplateRef<any>;
    private _afterOpen;
    private _afterClosed;
    private _beforeClose;
    private _locationChanges;
    constructor(_overlayRef: OverlayRef, _containerInstance: NtContextMenuComponent, location?: Location, id?: string);
    close(): void;
    afterOpen(): Observable<void>;
    afterClosed(): Observable<void>;
    beforeClose(): Observable<void>;
    backdropClick(): Observable<MouseEvent>;
    keydownEvents(): Observable<KeyboardEvent>;
    private _getPositionStrategy;
}
